TITLE MASM Template						(consoleapplication.asm)

; Description: Generic Win32 Console Application Template  
; 
; Revision date:
comment * ====================================
                     Build this console app with
                  "MAKEIT.BAT" on the PROJECT menu.
        ==================================== *        
        
        
; ====================================   

.486                                        ; create 32 bit code
.model flat, stdcall                        ; 32 bit memory model
option casemap :none                        ; case sensitive 

include \masm32\include\windows.inc         ; main windows include file
include \masm32\include\masm32.inc          ; masm32 library include
include \masm32\include\user32.inc
include \masm32\include\gdi32.inc
include \masm32\include\kernel32.inc
include \masm32\include\msvcrt.inc
include \masm32\include\dialogs.inc         ; macro file for dialogs


includelib \masm32\lib\masm32.lib           ; masm32 static library
includelib \masm32\lib\user32.lib
includelib \masm32\lib\gdi32.lib
includelib \masm32\lib\kernel32.lib
includelib \masm32\lib\msvcrt.lib
include    \masm32\macros\macros.asm         ; masm32 macro file   
  
; ====================================  

.data ; Initialized data section  
ConsoleTitle  db "Matrix interface",0
szMessage       BYTE '100011111010101011034433117264726791012834478757458729537892372837210101001010101101001',0   

.data? ; Un-initialized data section 

dwWritten       DWORD   ?

.code

Start:        
; Execution begins here...
 call main
 ;   inkey        ; wait for a keystroke before exiting
    exit
main proc
  invoke SetConsoleTitle, ADDR ConsoleTitle
  invoke SetTextColor,10,0 ;10 (light green) or 02 (dark green)
  invoke  GetStdHandle, STD_OUTPUT_HANDLE ; standard output handle
 
    mov     edx, eax
     msgLoop:
    invoke  Sleep,100
    invoke WriteConsole, edx, ADDR szMessage, sizeof szMessage, ADDR dwWritten, 0
    invoke WriteFile, edx, ADDR szMessage, sizeof szMessage, ADDR dwWritten, 0
  
     jmp msgLoop
     ret
    main endp 
SetTextColor proc fore:DWORD,back:DWORD

    LOCAL hStdOut:DWORD

    invoke GetStdHandle,STD_OUTPUT_HANDLE
    mov   hStdOut,eax
    mov   eax,back
    shl   eax,4
    or    eax,fore
    invoke SetConsoleTextAttribute,hStdOut,eax
    ret
   
SetTextColor endp	             
; Execution terminates here...
END  Start
